Detect deceased rmi clients and clean up
05/19/2008 12:46 AM - ronald -

Status: Closed Start date:
Priority: High Due date:
Assignee: Paula Gearon % Done:
Category: Mulgara Estimated time:

Target version:

Resolution: fixed

0%
0.00 hour

Description

If an rmi client goes away (exits, is killed, whatever) while holding

the write lock then mulgara will stay locked up forever. One of the

rmi wrapper classes needs to implement java.rmi.Unreferenced to get
notified when clients disappear and needs to abort that client's
transaction, if any.

See also http:/java.sun.com/j2se/1.5.0/docs/quide/rmi/faq.htmli#leases? .

Note that #121 will help here, but catching the unreferenced
notifications has the potential to clean things up much quicker
because in a typical production internal network environment the rmi
lease timeouts can be set much lower than the transaction timeout.

Associated revisions

Revision 979 - 06/06/2008 06:39 AM - ronald -

Detect when the session becomes unreferenced (e.g. because the client dropped
the session or the client died) and close the session.

This closes #123.

History

#1 - 06/06/2008 06:39 AM - ronald -
- Status changed from New to Closed

- Resolution set to fixed

(In r979) Detect when the session becomes unreferenced (e.g. because the client dropped
the session or the client died) and close the session.

This closes #123.
